[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResources.Add

Adds a resource

## Declaration

Source position: resource.pp line 248

`public procedure TResources.Add(`
`aResource: TAbstractResource`
`);`

## Arguments

`aResource` |  | The resource to add

## Description

This method adds aResource to the object, and sets itself as the owner list of the resource.

## Errors

If a resource with the same type, name and language ID already exists, an EResourceDuplicateException exception is raised.

## See also

TResources.AddAutoID |  | Adds a resource and gives it a new autogenerated name